%define module fido2

Name:		python-%{module}
Version:	0.8.1
Release:	%mkrel 1
Summary:	Library for FIDO 2.0, including communication with a device over USB
Group:		Development/Python
License:	BSD-like, ASL 2.0, MPLv2.0
URL:		https://github.com/Yubico/python-fido2
Source0:	https://github.com/Yubico/python-fido2/releases/download/%{version}/fido2-%{version}.tar.gz
BuildArch:		noarch
BuildRequires:	python3dist(setuptools)

%description
Provides library functionality for communicating with a FIDO device over USB as
well as verifying attestation and assertion signatures.

This library aims to support the FIDO U2F and FIDO 2.0 protocols for
communicating with a USB authenticator via the Client-to-Authenticator Protocol
(CTAP 1 and 2). In addition to this low-level device access, classes defined in
the `fido2.client` and `fido2.server` modules implement higher level operations
which are useful when interfacing with an Authenticator, or when implementing
WebAuthn support for a Relying Party.

%package -n python3-%{module}
Summary:        %{summary}

%description -n python3-%{module}
Provides library functionality for communicating with a FIDO device over USB as
well as verifying attestation and assertion signatures.

This library aims to support the FIDO U2F and FIDO 2.0 protocols for
communicating with a USB authenticator via the Client-to-Authenticator Protocol
(CTAP 1 and 2). In addition to this low-level device access, classes defined in
the `fido2.client` and `fido2.server` modules implement higher level operations
which are useful when interfacing with an Authenticator, or when implementing
WebAuthn support for a Relying Party.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/%{module}*
%doc NEWS README.adoc
%license COPYING COPYING.APLv2 COPYING.MPLv2


%changelog
* Sat Mar 14 2020 danf <danf> 0.8.1-1.mga8
+ Revision: 1556169
- imported package python-fido2

